Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.core.runtime
Class LogManager

    java.lang.Object
      oracle.ifs.core.runtime.LogManager

    public class LogManager

extends java.lang.Object

A LogManager manages the logging subsystem.

Field Summary
`static java.lang.String` | `TEXT_FORMAT` Constant used to specify the simple text formatting of log output.
`static java.lang.String` | `XML_FORMAT` Constant used to specify the XML formatting of log output.

Method Summary
`void` | `applyLogLevelOverride(java.lang.String logEntry)` Apply a log level overrides.
`void` | `applyLogLevelOverrides(java.lang.String[] logEntries)` Apply a set of log level overrides.
`void` | `clearAllLogLevelOverrides()` Clear all log level overrides.
`void` | `configure(AttributeValueTable config)` Configure this LogManager.
`AttributeValueTable` | `getConfiguration()` Gets the configuration for this LogManager.
`static LogManager` | `getInstance()` Get the singleton instance of LogManager.
`boolean` | `isInitialized()` Returns indication as to whether logging has been initialized.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TEXT_FORMAT

    public static final java.lang.String TEXT_FORMAT

  Description copied from class: `LogManager`
  Constant used to specify the simple text formatting of log output.

  See Also:
    Constant Field Values
  (Unpublished)

### XML_FORMAT

    public static final java.lang.String XML_FORMAT

  Description copied from class: `LogManager`
  Constant used to specify the XML formatting of log output.

  See Also:
    Constant Field Values
  (Unpublished)

Method Detail

### getInstance

    public static LogManager getInstance()

  Description copied from class: `LogManager`
  Get the singleton instance of LogManager.

  Returns:
    the LogManager singleton

### isInitialized

    public boolean isInitialized()

  Description copied from class: `LogManager`
  Returns indication as to whether logging has been initialized.

  Returns:
    true if logging has been initialized

### getConfiguration

    public AttributeValueTable getConfiguration()
                                         throws IfsException

  Description copied from class: `LogManager`
  Gets the configuration for this LogManager.

  This will include an entry for the complete set of log-level overrides in effect.

  Returns:
    the table of logging configuration parameters
  Throws:
    `IfsException` - if the operation fails
  (Published)

### configure

    public void configure(AttributeValueTable config)
                   throws IfsException

  Description copied from class: `LogManager`
  Configure this LogManager.

  Parameters:
    `config` - the table of logging configuration parameters
  Throws:
    `IfsException` - if the operation fails
  (Published)

### clearAllLogLevelOverrides

    public void clearAllLogLevelOverrides()

  Description copied from class: `LogManager`
  Clear all log level overrides.

### applyLogLevelOverrides

    public void applyLogLevelOverrides(java.lang.String[] logEntries)

  Description copied from class: `LogManager`
  Apply a set of log level overrides.

  Parameters:
    `logEntries` - the log override entries

### applyLogLevelOverride

    public void applyLogLevelOverride(java.lang.String logEntry)

  Description copied from class: `LogManager`
  Apply a log level overrides.

  Parameters:
    `logEntry` - the log override entry

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD